Initiate customer KYC
curl --request POST \
--url https://api-sb.meld.io/accounts/customers/{customerId}/kyc/initiate \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"mode": "HOSTED_URL",
"serviceProvider": "SUMSUB"
}
'import requests
url = "https://api-sb.meld.io/accounts/customers/{customerId}/kyc/initiate"
payload = {
"mode": "HOSTED_URL",
"serviceProvider": "SUMSUB"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({mode: 'HOSTED_URL', serviceProvider: 'SUMSUB'})
};
fetch('https://api-sb.meld.io/accounts/customers/{customerId}/kyc/initiate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customerId": "<string>",
"serviceProvider": "SUMSUB",
"status": "PENDING",
"url": "<string>"
}{
"code": "BAD_REQUEST",
"message": "Bad request",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00",
"errors": [
"[Meld-Version] is invalid"
]
}{
"code": "UNAUTHORIZED",
"message": "Access denied",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00"
}{
"code": "FORBIDDEN",
"message": "Access denied",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00"
}{
"code": "NOT_FOUND",
"message": "Resource not found",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00"
}{
"code": "CONFLICT",
"message": "Conflict",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00"
}{
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"serviceProviderDetails": {
"code": "5034",
"message": "Digital currency and blockchain combination is restricted for customer's country"
},
"timestamp": "2026-08-14T09:41:22.482+00:00"
}{
"code": "UNEXPECTED_ERROR",
"message": "Unexpected error",
"requestId": "01JB2K7C9XQZ4M8N2P5R6T3V",
"timestamp": "2026-08-14T09:41:22.482+00:00"
}Customers
Initiate customer KYC
Retrieve a url that when launched displays a UI that commences KYC for your user
POST
/
accounts
/
customers
/
{customerId}
/
kyc
/
initiate
Initiate customer KYC
Authorizations
Headers
Dated API version to use for this request, e.g. 2026-02-03.
Example:
"2026-02-03"
Path Parameters
Customer id
Body
application/json
Request to initiate KYC for a customer with a given provider
KYC initiation mode
Available options:
HOSTED_URL, TOKEN_IMPORT KYC provider to use (currently only SUMSUB is supported)
Available options:
SUMSUB Minimum string length:
1Additional KYC providers to share the result with
Available options:
ACROSS, AEROPAY, AKOYA, ALCHEMYPAY, APPLEPAY, AUTHORIZENET, BANXA, BILIRA, BINANCECONNECT, BINANCEPAY, BLOCKCHAINDOTCOM, BOOMFI, BRAINTREE, BRALE, BTCDIRECT, CASHAPP, CHECKOUT, CIRCLE, COINBASEPAY, COINFLOW, DUENETWORK, ELDORADO, FINICITY, FLASHNET, FONBNK, GUARDARIAN, HARBOUR, KOYWE, KRYPTONIM, MERCURYO, MESH, MESO, MOONPAY, MOOV, MX, NMI, NOAH, ONMETA, ONRAMPMONEY, PAYBIS, PAYPAL, PLAID, RAMP, REVOLUT, ROBINHOOD, ROUTERPROTOCOL, SALTEDGE, SALTEDGEPARTNERS, SARDINE, SHIFT4, SHOPIFY, SIMPLEX, SKRILLCRYPTO, SQUARE, STRIPE, SUMSUB, SWAPPED, TANGOCARD, TELLER, TOPPER, TRANSAK, TREMENDOUS, TRANSFI, UNLIMIT, UPHOLD, WYRE, XANPOOL, YELLOWCARD, YODLEE Provider-specific details required for the selected mode. Required when mode is TOKEN_IMPORT, null for HOSTED_URL
Show child attributes
Show child attributes
Response
OK
Response after initiating KYC: customer/provider/status. Token is obtained via getToken once KYC is complete.